libgcc1-4.9.2-4.1.mga5.i586.rpm


Advertisement

Description

libgcc1 - GNU C library

Property Value
Distribution Mageia 5.1
Repository Mageia Core Updates i586
Package filename libgcc1-4.9.2-4.1.mga5.i586.rpm
Package name libgcc1
Package version 4.9.2
Package release 4.1.mga5
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://gcc.gnu.org/
License GPLv3+
Maintainer -
Download size 60.49 KB
Installed size 115.55 KB
The libgcc1 package contains GCC shared libraries for gcc 4.9

Alternatives

Package Version Architecture Repository
libgcc1-4.9.2-4.1.mga5.x86_64.rpm 4.9.2 x86_64 Mageia Core Updates
libgcc1-4.9.2-4.mga5.i586.rpm 4.9.2 i586 Mageia Core
libgcc1-4.9.2-4.mga5.x86_64.rpm 4.9.2 x86_64 Mageia Core
libgcc1 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2.4) -

Provides

Name Value
libgcc == 4.9.2-4.1.mga5
libgcc1 == 4.9.2-4.1.mga5
libgcc1(x86-32) == 4.9.2-4.1.mga5
libgcc3.0 == 4.9.2-4.1.mga5
libgcc3.2 == 4.9.2-4.1.mga5
libgcc4.9 == 4.9.2-4.1.mga5
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.3) -
libgcc_s.so.1(GCC_3.3.1) -
libgcc_s.so.1(GCC_3.4) -
libgcc_s.so.1(GCC_3.4.2) -
libgcc_s.so.1(GCC_4.0.0) -
libgcc_s.so.1(GCC_4.2.0) -
libgcc_s.so.1(GCC_4.3.0) -
libgcc_s.so.1(GCC_4.4.0) -
libgcc_s.so.1(GCC_4.5.0) -
libgcc_s.so.1(GCC_4.7.0) -
libgcc_s.so.1(GCC_4.8.0) -
libgcc_s.so.1(GLIBC_2.0) -

Obsoletes

Name Value
libgcc3.0 -
libgcc4.9 -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libgcc1-4.9.2-4.1.mga5.i586.rpm
Source Package gcc-4.9.2-4.1.mga5.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libgcc1 rpm package:
    # urpmi libgcc1

Files

Path
/lib/libgcc_s-4.9.2.so.1
/lib/libgcc_s.so.1

Changelog

2015-11-11 - tmb <tmb> 4.9.2-4.1.mga5
+ Revision: 902581
- Fix C++11 std::random_device short read issue that could lead to
predictable randomness. (CVE-2015-5276, mga#17126)
2014-11-02 - cjw <cjw> 4.9.2-4.mga5
+ Revision: 795243
- source9/patch133: add java.security classes from apache harmony to libgcj to fix networking with bouncycastle 1.50
2014-10-30 - tmb <tmb> 4.9.2-3.mga5
+ Revision: 794707
- update to 4.9.2 final
2014-10-24 - tmb <tmb> 4.9.2-1.RC.2.mga5
+ Revision: 792983
- lsan is only available on x86_64
- update filelists
- update to 4.9.2-RC
2014-10-15 - umeabot <umeabot> 4.9.2-0.20141001.2.mga5
+ Revision: 747981
- Second Mageia 5 Mass Rebuild
2014-10-03 - tmb <tmb> 4.9.2-0.20141001.1.mga5
+ Revision: 736459
- update to 2014-10-01
- update to 2014-10-01
2014-09-25 - tmb <tmb> 4.9.2-0.20140924.1.mga5
+ Revision: 724531
- update to 2014-09-24 snapshot
2014-09-20 - tmb <tmb> 4.9.2-0.20140910.3.mga5
+ Revision: 697479
- rebuild with fixed rpm-mageia-setup
2014-09-16 - umeabot <umeabot> 4.9.2-0.20140910.2.mga5
+ Revision: 679433
- Mageia 5 Mass Rebuild
2014-09-11 - tmb <tmb> 4.9.2-0.20140910.1.mga5
+ Revision: 674668
- update to 2014-09-10

See Also

Package Description
libgcj-devel-4.9.2-4.1.mga5.i586.rpm Header files and libraries for Java development
libgcj-static-devel-4.9.2-4.1.mga5.i586.rpm Static libraries for Java development
libgcj15-4.9.2-4.1.mga5.i586.rpm GNU Java runtime libraries
libgcj15-base-4.9.2-4.1.mga5.i586.rpm Java library base classes
libgcj15-src-4.9.2-4.1.mga5.i586.rpm Java library sources
libgcj_bc1-4.9.2-4.1.mga5.i586.rpm GNU Java runtime bytecode wrapper library
libgcrypt-devel-1.5.4-5.2.mga5.i586.rpm Development files for GNU cryptographic library
libgcrypt-devel-1.5.4-5.3.mga5.i586.rpm Development files for GNU cryptographic library
libgcrypt-devel-1.5.4-5.4.mga5.i586.rpm Development files for GNU cryptographic library
libgcrypt-devel-1.5.4-5.5.mga5.i586.rpm Development files for GNU cryptographic library
libgcrypt11-1.5.4-5.2.mga5.i586.rpm GNU Cryptographic library
libgcrypt11-1.5.4-5.3.mga5.i586.rpm GNU Cryptographic library
libgcrypt11-1.5.4-5.4.mga5.i586.rpm GNU Cryptographic library
libgcrypt11-1.5.4-5.5.mga5.i586.rpm GNU Cryptographic library
libgd-devel-2.1.1-1.1.mga5.i586.rpm The development libraries and header files for gd
Advertisement
Advertisement